Bug 177334 - New port: audio/lua51-mpd a lua mpd client
New port: audio/lua51-mpd a lua mpd client
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lua
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-24 11:30 UTC by David Demelier
Modified: 2013-03-26 21:40 UTC (History)
0 users

See Also:


Attachments
lua51-mpd.shar (2.37 KB, text/plain)
2013-03-24 11:30 UTC, David Demelier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2013-03-24 11:30:00 UTC
This is a Lua client library.

https://github.com/silentbicycle/lua-mpd

Note: I've already named the port lua51-mpd as the latest Lua version in the ports tree is lua-5.2. So I guess all current lua-* ports should be renamed to lua51-* and copy lua-5.2 compatible one to lua-*.
Comment 1 Renato Botelho freebsd_committer 2013-03-25 11:19:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lua

Transfer to lua
Comment 2 Matthias Andree freebsd_committer 2013-03-26 21:33:44 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 dfilter freebsd_committer 2013-03-26 21:33:47 UTC
Author: mandree
Date: Tue Mar 26 21:33:33 2013
New Revision: 315334
URL: http://svnweb.freebsd.org/changeset/ports/315334

Log:
  Add new port audio/lua51-mpd, a Lua client library for MPD,
  the music player daemon.
  
  Note that the submission has been modified to set the submitter as the
  port maintainer, and to use UNIQUENAME in the DOCSDIR, to avoid clashes
  with mpd.
  
  PR:		ports/177334
  Submitted by:	David Demelier <demelier.david@gmail.com>

Added:
  head/audio/lua51-mpd/
  head/audio/lua51-mpd/Makefile   (contents, props changed)
  head/audio/lua51-mpd/distinfo   (contents, props changed)
  head/audio/lua51-mpd/pkg-descr   (contents, props changed)
  head/audio/lua51-mpd/pkg-plist   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Tue Mar 26 21:31:27 2013	(r315333)
+++ head/audio/Makefile	Tue Mar 26 21:33:33 2013	(r315334)
@@ -453,6 +453,7 @@
     SUBDIR += lmms
     SUBDIR += lpac
     SUBDIR += lplayer
+    SUBDIR += lua51-mpd
     SUBDIR += lv2core
     SUBDIR += lxmusic
     SUBDIR += mac

Added: head/audio/lua51-mpd/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lua51-mpd/Makefile	Tue Mar 26 21:33:33 2013	(r315334)
@@ -0,0 +1,41 @@
+# $FreeBSD$
+
+PORTNAME=	mpd
+PORTVERSION=	0.1
+CATEGORIES=	audio
+PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX}
+
+MAINTAINER=	demelier.david@gmail.com
+COMMENT=	A Lua library for musicpd
+
+RUN_DEPENDS=	${LUA_MODLIBDIR}/socket/core.so:${PORTSDIR}/net/luasocket
+
+OPTIONS_DEFINE=	DOCS
+DOCSDIR=	${PREFIX}/share/doc/${UNIQUENAME}
+
+.include <bsd.port.options.mk>
+
+GH_ACCOUNT=	silentbicycle
+GH_PROJECT=	lua-mpd
+GH_TAGNAME=	v0.1
+
+USE_GITHUB=	yes
+USE_LUA=	5.1
+
+WRKSRC=		${WRKDIR}/${GH_ACCOUNT}-lua-${PORTNAME}-ca32f43
+
+do-build:
+	@${DO_NADA}
+
+do-install:
+	@${MKDIR} ${LUA_MODSHAREDIR}
+	@${INSTALL_DATA} ${WRKSRC}/mpd.lua ${LUA_MODSHAREDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR} ${DOCSDIR}/modules ${DOCSDIR}/files
+	${INSTALL_DATA} ${WRKSRC}/index.html ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/luadoc.css ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/files/mpd.html ${DOCSDIR}/files
+	${INSTALL_DATA} ${WRKSRC}/modules/mpd.html ${DOCSDIR}/modules
+.endif
+
+.include <bsd.port.mk>

Added: head/audio/lua51-mpd/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lua51-mpd/distinfo	Tue Mar 26 21:33:33 2013	(r315334)
@@ -0,0 +1,2 @@
+SHA256 (mpd-0.1.tar.gz) = 51905ecf330537b55b18c8a6b24f973cc92cd365f8712a9a32e2a6d61a5ca964
+SIZE (mpd-0.1.tar.gz) = 16395

Added: head/audio/lua51-mpd/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lua51-mpd/pkg-descr	Tue Mar 26 21:33:33 2013	(r315334)
@@ -0,0 +1,3 @@
+This is a Lua client for mpd.
+
+WWW: https://github.com/silentbicycle/lua-mpd

Added: head/audio/lua51-mpd/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lua51-mpd/pkg-plist	Tue Mar 26 21:33:33 2013	(r315334)
@@ -0,0 +1,8 @@
+%%LUA_MODSHAREDIR%%/mpd.lua
+%%PORTDOCS%%%%DOCSDIR%%/files/mpd.html
+%%PORTDOCS%%%%DOCSDIR%%/index.html
+%%PORTDOCS%%%%DOCSDIR%%/luadoc.css
+%%PORTDOCS%%%%DOCSDIR%%/modules/mpd.html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/modules
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/files
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"